/* eslint-disable @typescript-eslint/no-explicit-any */
import { Injectable, inject } from '@angular/core';
import { HttpClient, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs';

@Injectable({ providedIn: 'root' })
export class ApiService {
    private http = inject(HttpClient);

    /*private formatErrors(error: any) {
        return throwError(error.error);
    }*/

    get(path: string, params: HttpParams = new HttpParams()): Observable<any> {
        return this.http.get(`${path}`, { params });
    }

    put(path: string, body: NonNullable<unknown> = {}): Observable<any> {
        return this.http.put(`${path}`, JSON.stringify(body));
    }

    post(path: string, body: NonNullable<unknown> = {}): Observable<any> {
        return this.http.post(`${path}`, JSON.stringify(body));
    }

    delete(path: string): Observable<any> {
        return this.http.delete(`${path}`);
    }
}
